<app-template-page [titre]="'Page de connexion'">
  <ngb-toast header="Connexion" class="bg-success text-light" *ngIf="success" (hidden)="success=false">
    Bienvenue sur notre crm
  </ngb-toast>
  <ngb-toast header="Connexion" class="bg-danger text-light" *ngIf="failure" (hidden)="failure=false">
    Echec de la connexion
  </ngb-toast>

  <div class="blocConnexion container-fluid">
    <div class="row col-sm-4 offset-sm-4">
          <form [formGroup]="loginForm">
            <div class="form-group">
              <label>Identifiant de connexion :</label><br>
              <input type="text" formControlName="username" class="form-control">
              <p *ngIf="loginForm.controls['username'].invalid" class="text-danger">
                Champs requis
              </p>
            </div>
            <div class="form-group">
              <label>Mot de passe :</label>
              <br>
              <input type="password" formControlName="password" class="form-control">
              <p *ngIf="loginForm.controls['password'].invalid" class="text-danger">
                Champs requis
              </p>
            </div>
            <div class="form-group">
              <br>
              <button class="btn btn-primary "
                      (click)="verifierLogin()">
                <app-icon-signin></app-icon-signin>
                Connexion
              </button>
              <br>
            </div>
          </form>
    </div>
  </div>

</app-template-page>
